/* SQL Database Interface. Oracle interface header. 
   Author: adv (Andriy Marchenko), 06 sep, 2001
           < adv@adv.org.ua >  */

__int16_t   sql_oracle_connect     (sql_t* drv);
void        sql_oracle_disconnect  (sql_t* drv);
void        sql_oracle_freeres     (sql_res_t* res);
sql_res_t*  sql_oracle_execute     (sql_res_t* res, const char* query);
__int16_t   sql_oracle_fetch       (sql_res_t* res);
const char* sql_oracle_getfield_pos(sql_res_t* res, __uint32_t field);
const char* sql_oracle_getfield    (sql_res_t* res, const char* field);
__uint32_t  sql_oracle_fieldlen    (sql_res_t* res, __uint32_t field);

__uint32_t  sql_oracle_lastrec     (sql_t* drv);

__uint32_t  sql_oracle_numrows     (sql_res_t* res);
__uint32_t  sql_oracle_numcols     (sql_res_t* res);
const char* sql_oracle_fieldname   (sql_res_t* res, __uint32_t field);
