/* SQL Database Interface. Mysql interface header. 
   Author: adv (Andriy Marchenko), 06 sep, 2001
           < adv@adv.org.ua >  */

__int16_t   sql_mysql_connect     (sql_t* drv);
void        sql_mysql_disconnect  (sql_t* drv);
void        sql_mysql_freeres     (sql_res_t* res);
sql_res_t*  sql_mysql_execute     (sql_res_t* res, const char* query);
__int16_t   sql_mysql_fetch       (sql_res_t* res);
const char* sql_mysql_getfield_pos(sql_res_t* res, __uint32_t field);
const char* sql_mysql_getfield    (sql_res_t* res, const char* field);
__uint32_t  sql_mysql_fieldlen    (sql_res_t* res, __uint32_t field);

__uint32_t  sql_mysql_lastrec     (sql_t* drv);

__uint32_t  sql_mysql_numrows     (sql_res_t* res);
__uint32_t  sql_mysql_numcols     (sql_res_t* res);
const char* sql_mysql_fieldname   (sql_res_t* res, __uint32_t field);
